[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.FreeImage

Frees raw image data for the shared bitmap and resets its image descriptor.

## Declaration

Source position: graphics.pp line 1356

`protected procedure TSharedCustomBitmap.FreeImage;`

## Description

Calls the FreeData method in the internal TRawImage member to free the raw image data. Sets the Format in its Description property to ricfNone.

FreeImage is called from the destructor when the class instance is destroyed.

## See also

TSharedCustomBitmap.Destroy |  | Destructor for the class instance.
TRawImage